> ## Documentation Index
> Fetch the complete documentation index at: https://doc.haipay.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Brazil — Collection Query (Legacy navigation V20260801)

> Historical version (V20260801): Brazil — Collection Query (Legacy navigation V20260801) endpoint (POST /brl/collect/query) with request parameters including orderId, signature verification, and response status.

> [!NOTE]
>
> All example requests on this page are based on the **sandbox (test) environment**. Please be careful to distinguish it from the production environment.

#### Secret Key & Private Key (Generate Signature)

## Related Topics

* [Brazil Payment Interface](https://doc.haipay.net/en/history/V20260801/payments/local/brazil.md)
* [HaiPay API Reference Overview](https://doc.haipay.net/en/history/V20260801/api-reference/overview.md)
* [HaiPay Configuration and Signature Guide](https://doc.haipay.net/docs/en/guide/config_settings_and_signature_rules_guide.md)


## OpenAPI

````yaml docs/en/api-reference/brl/brl.openapi.json POST /brl/collect/query
openapi: 3.0.1
info:
  title: 默认模块
  description: ''
  version: 1.0.0
servers:
  - url: https://uat-interface.haipay.asia
    description: 测试-interface
security: []
tags: []
paths:
  /brl/collect/query:
    post:
      tags: []
      summary: BRL Collection Query
      description: |-
        创建代收订单
        异步通知后，通过orderNo查询二次确认状态
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                appId:
                  type: integer
                  description: >-
                    Business ID (obtained from the backend, needs to be passed
                    according to the currency in the URL)
                orderId:
                  type: string
                  description: Merchant order number
                orderNo:
                  type: string
                  description: Platform order number (faster response)
                sign:
                  type: string
                  description: Signature
              required:
                - appId
                - orderId
                - sign
            example:
              appId: 1054
              orderId: M233323000059
              orderNo: P233323000059
              sign: >-
                af0gAHkUOyYHu9owQp8NJ4mPEeUW4vuJcjdxqLIzrVw8AvpLSjD1DXupReSG/CyuSkFRyiIvCp5u703AuGGmfgD2gKDH3Ywau41bAbG2jnHJ8mtjiSJ5iWUzanyd4Kr7d1+rETbzUl7/BkW3t0X8UUFdqpxwG8DPUjAwUKfplWDHV7koG51Ozexd80DCsmW6eWdouAZ1uNXGLYmV3ftE3BmfNRtuv1C5bfTJWrTEIOxbF6g2uYOFZTlIgrQgd7/2PsAYwQQXNz8Q8CYl4OxqCv4pXJxaLWPbR5tqZu9og5kn32C9aHW/NlU1y39vzz+4ef81yPAqUV9oHlSMSPrMmw==
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: '1: Normal, 0: Exception'
                  error:
                    type: string
                    description: Error code
                  msg:
                    type: string
                    description: Error description
                  data:
                    type: object
                    properties:
                      orderId:
                        type: string
                        description: Merchant order number (must be unique)
                      orderNo:
                        type: string
                        description: Platform order number
                      amount:
                        type: string
                        description: Transaction amount
                      actualAmount:
                        type: string
                        description: Amount received
                      fee:
                        type: string
                        description: Transaction fee
                      status:
                        type: integer
                        description: >-
                          Status (0 = Not started, 1 = In process, 2 = Success
                          (final), 3 = Failed (final), -1 = Exception awaiting
                          confirmation)
                      payTime:
                        type: string
                        description: >-
                          Payment success time (present when status=2) (Brazil
                          time), format: yyyy-MM-dd HH:mm:ss
                      errorMsg:
                        type: string
                        description: Payment failure reason (present when status=3)
                      sign:
                        type: string
                        description: Signature
                    additionalProperties: false
                additionalProperties: false
              examples:
                success:
                  summary: Success
                  value:
                    status: '1'
                    error: '00000000'
                    msg: ''
                    data:
                      orderId: M22222000028
                      orderNo: '6023042811314347'
                      amount: '50000.00'
                      actualAmount: '0.00'
                      fee: '0.00'
                      status: 1
                      sign: >-
                        fP433ygWVDLVGxYkVnIJj7riGq0U3vyVX+MbBAImxfGLZkZcEAHVEoVYuULZSmXAAXKRSyd67WlDNm+24pougM54ofAoH4HMtCL2tfCoBReFyz3z02AGKkrKE2xWhSpWoqfQoBvzwuN5iGMMu0s9Q1YvqiwJ8WDVIENnmiIyD8qDJN7caHTW2US14/faG+69AvnuIgJ/nu7/jogOlgEYdZdVYU7gcRDE+d47KjlFGswQkJ/h/uzV7cWtUqrtOO7ZnZ3/z33Xx8awokX36QoYcPSWAU0h+Ij9O9402HNhm1eTbYcLU0uI/z8xCAtyAI/tTyiFijpiNlxUKQj+zKsILw==
                param_error:
                  summary: Parameter validation failed
                  value:
                    status: '0'
                    error: '1001'
                    msg: orderId can not blank
                    data: null
                sign_error:
                  summary: Signature error
                  value:
                    status: '0'
                    error: '1002'
                    msg: Invalid request signature
                    data: null
          headers: {}
      deprecated: false
      security: []

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.